Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984947 - [RFE] mirror root drive on ovirt-node
Summary: [RFE] mirror root drive on ovirt-node
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-node
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Fabian Deutsch
QA Contact: bugs@ovirt.org
URL:
Whiteboard: node
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-16 12:39 UTC by jas
Modified: 2014-06-11 13:49 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-11 13:49:59 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description jas 2013-07-16 12:39:04 UTC
Description of problem:

When ovirt-node is installed, there is no way to set up a mirrored root disk. In production, if the disk on the node fails, the node will go down.  Assuming high availability, and central storage for VMs and their images, the engine will bring the VMs up on another node in the cluster.  However, there would be no downtime, and no moving of VMs at all if the node survived a disk outage.  MD is already built into the Linux kernel on the node which should make this possible.

Comment 1 Fabian Deutsch 2013-07-19 11:57:58 UTC
That sounds interesting. Assuming that there are enough PVs this might be doable.

Comment 2 Mike Burns 2013-07-19 14:18:47 UTC
Interesting, but i'd like to lump this into the investigation of using the anaconda storage methodology (blivet) and the re-write of our storage management.

Comment 3 Doron Fediuck 2014-06-11 13:49:59 UTC
We're considering a different node implementation for oVirt 4.0.
Hence, closing this RFE. Please re-open if relevant.


Note You need to log in before you can comment on or make changes to this bug.